]> Dogcows Code - chaz/tar/blobdiff - tests/remfiles01.at
Update copyright years.
[chaz/tar] / tests / remfiles01.at
index 86b5c032e8c996f7e279f187619380a1a18923de..39adcaa0607bb0c9a44172bba38b5cbfc5248140 100644 (file)
@@ -1,22 +1,22 @@
 # Process this file with autom4te to create testsuite. -*- Autotest -*-
 
 # Test suite for GNU tar.
-# Copyright (C) 2009 Free Software Foundation, Inc.
+# Copyright 2009, 2013-2014 Free Software Foundation, Inc.
 
-# This program is free software; you can redistribute it and/or modify
+# This file is part of GNU tar.
+
+# GNU tar is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3, or (at your option)
-# any later version.
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
 
-# This program is distributed in the hope that it will be useful,
+# GNU tar is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Description: When called with --create --remove-files and a compression
 # options tar (v. <= 1.22.90) would remove files even if it had failed
@@ -32,6 +32,7 @@ unset TAR_OPTIONS
 AT_CHECK([
 AT_UNPRIVILEGED_PREREQ
 AT_GZIP_PREREQ
+AT_SIGPIPE_PREREQ
 AT_SORT_PREREQ
 
 mkdir dir
@@ -47,14 +48,16 @@ mkdir c
 # or
 #  tar: Child returned status 2
 
-tar -c -f a -z --remove-files b c 2>err
+# Discard diagnostics that some shells generate about broken pipes,
+# and discard all of tar's diagnostics except for the ones saying "(child)".
+# Gzip's exit code is propagated to the shell.  Usually it is 141.
+# Convert all non-zero exits to 2 to make it predictable.
+(tar -c -f a -z --remove-files b c 2>err || (exit 2) ) 2>/dev/null
 EC=$?
 sed -n '/(child)/p' err >&2
 rm err
 find . | sort
-# Gzip exit code is propagated to the shell. Usually it is
-# 141.  We convert all non-zero exits to 2 to make it predictable.
-test $EC && exit 2
+exit $EC
 ],
 [2],
 [.
This page took 0.018853 seconds and 4 git commands to generate.